Export DNS zone as BIND file
GET /dns/zones/{domain}/exportOperation ID: ExportDNSZoneBindByDomain
Export the specified zone as a BIND-compatible zone file.
Non-standard ALIAS records are included as comments and, when possible,
as resolved A records.
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
domain | fqdn_relaxed | yes | - |
Responses
Section titled “Responses”| Status | Type | Description |
|---|---|---|
200 | string | BIND zone file |
401 | Error | Unauthorized |
404 | Error | DNS zone not found |
500 | Error | Unexpected error |
Example
Section titled “Example”curl -X GET "https://api.regfish.com/dns/zones/<domain>/export" \ -H "x-api-key: $REGFISH_API_KEY"Build a request
Section titled “Build a request”Fill in values - the call below updates as you type. Nothing is sent: the API does not currently allow browser requests from this domain (CORS). The API key is not stored.